import { defineComponent } from "vue";
import { useRenderIcon } from "/@/components/ReIcon/src/hooks";

const ActionChangePwd = defineComponent({
  name: "ActionChangePwd",
  emits: ["changePwd"],
  setup(_, { emit }) {
    return () => (
      <el-button
        class="reset-margin"
        onClick={() => emit("changePwd")}
        link
        size="small"
        type="primary"
        icon={useRenderIcon("lock")}
      />
    );
  }
});

export default ActionChangePwd;
